### Method

# Gsk.GLShader.get_uniform_name

#### Declaration [src]

    const char*
    gsk_gl_shader_get_uniform_name (
      GskGLShader* shader,
      int idx
    )

#### Description [src]

Get the name of the declared uniform for this shader at index `idx`.

#### Parameters

`idx` | `int`
| index of the uniform

#### Return value

Returns: `const char*`
The name of the declared uniform
Ownership is not transferred to the caller
The string is a NUL terminated UTF-8 string